Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class IntegerArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute
                  |
                  +--org.w3c.tools.resources.IntegerArrayAttribute

public class IntegerArrayAttribute
extends ArrayAttribute

The generic description of an IntegerArrayAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`IntegerArrayAttribute()`
`IntegerArrayAttribute(java.lang.String name, int[] def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid IntegerArrayAttribute value ?
`java.lang.String[]` | `pickle(java.lang.Object array)`
`java.lang.Object` | `unpickle(java.lang.String[] array)`

Methods inherited from class org.w3c.tools.resources.ArrayAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerArrayAttribute

    public IntegerArrayAttribute(java.lang.String name,
                                 int[] def,
                                 int flags)

### IntegerArrayAttribute

    public IntegerArrayAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid IntegerArrayAttribute value ?
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.
  Overrides:
    checkValue in class Attribute

### pickle

    public java.lang.String[] pickle(java.lang.Object array)

  Overrides:
    pickle in class ArrayAttribute

### unpickle

    public java.lang.Object unpickle(java.lang.String[] array)

  Overrides:
    unpickle in class ArrayAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD